<template>
  <ObTabs>
    <ObTabsPane :title="dictionaryRu.modal.import.title">
      <div class="row">
        <div class="col-xs-4">
          <ob-input
            :label="dictionaryRu.modal.import.code"
            :value="getValue('import_cart', 'code')"
            :disabled="true"
          />
        </div>
      </div>
      <ob-textarea
        :label="dictionaryRu.modal.import.denomination"
        :value="getValue('import_cart', 'denomination')"
        :disabled="true"
      />
      <table>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.import.import_duty }}</td>
          <td>{{selectedData.import_cart ? selectedData.import_cart.import_duty : ''}}</td>
        </tr>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.import.temporary_import_duty }}</td>
          <td>{{selectedData.import_cart ? selectedData.import_cart.temporary_import_duty : ''}}</td>
        </tr>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.import.excise_tax }}</td>
          <td>{{selectedData.import_cart ? selectedData.import_cart.excise_tax : ''}}</td>
        </tr>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.import.vat }}</td>
          <td>
            <template v-if="selectedData.import_cart">
              <div v-for="(item, index) in parse(selectedData.import_cart.vat)" :item="item" :index="index" :key="index">
                &raquo; {{index}} ({{item}})
              </div>
            </template>
          </td>
        </tr>
      </table>
    </ObTabsPane>
    <ObTabsPane :title="dictionaryRu.modal.export.title">
      <div class="row">
        <div class="col-xs-4">
          <ob-input
            :label="dictionaryRu.modal.export.code"
            :value="getValue('export_cart', 'code')"
            :disabled="true"
          />
        </div>
      </div>
      <ob-textarea
        :label="dictionaryRu.modal.export.denomination"
        :value="getValue('export_cart', 'denomination')"
        :disabled="true"
      ></ob-textarea>
      <table>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.export.export_duty }}</td>
          <td>{{selectedData.export_cart ? selectedData.export_cart.export_duty : ''}}</td>
        </tr>
        <tr>
          <td class="inactive">{{ dictionaryRu.modal.export.licenses }}</td>
          <td>
            <template v-if="selectedData.export_cart">
              <div v-for="(item, index) in parse(selectedData.export_cart.licenses)" :item="item" :index="index" :key="index">
                &raquo; {{index}} ({{item}})
              </div>
            </template>
          </td>
        </tr>
      </table>
    </ObTabsPane>
  </ObTabs>
</template>

<script>
  import ObInput from 'common-components/src/obComponents/obInput'
  import ObTextarea from 'common-components/src/obComponents/obTextarea'
  import ObTabs from 'common-components/src/obComponents/obTabs'
  import ObTabsPane from 'common-components/src/obComponents/obTabs/ObTabsPane'
  import { dictionary } from '@/translations/ru/dictionaries__cargo__tnved';
  export default {
    name: 'TnvedItem',
    components: {
      ObTextarea,
      ObInput,
      ObTabs,
      ObTabsPane
    },
    props: {
      selectedData: {
        type: Object,
        required: true,
        default: () => {}
      }
    },
    data() {
      return {
        dictionaryRu: dictionary
      }
    },
    methods: {
      getValue (cart, value) {
        return this.selectedData[cart] ? this.selectedData[cart][value] : ''
      },
      parse(value) {
        return JSON.parse(value)
      }
    }
  }
</script>

<style lang="scss" scoped>
  $color-light-blue: $lavender;
  $green-05: rgba($color-green-light, 0.05);

  table {
    margin-top: 20px;
    border: 1px solid $color-light-blue;
    width: 100%;
    border-collapse: collapse;
    td {
      padding: 10px;
      border-bottom: 1px solid $color-light-blue;
      &:first-of-type {
        width: 200px;
      }
    }
  }
</style>

